#!/usr/bin/env python
# -*- coding: utf-8 -*-

# ------------
#| Change Log |
# ------------
# Rel 1: Initial release.

from gimpfu import *
import os

def remove_all_visible(image, vector):
	pdb.gimp_image_undo_group_start(image)
	pdb.gimp_context_push()

	for v in image.vectors:
		if v.visible==1:
			pdb.gimp_image_remove_vectors(image, v)
	pdb.gimp_context_pop()
	pdb.gimp_image_undo_group_end(image)
	pdb.gimp_displays_flush()

register(
    "python_fu_remove_all_visible",
    "Remowe all Visible",
    "Remowe all Visible",
    "MrQ",
    "GPL",
    "2019",
    "<Vectors>/vectors-merge-visible/Delete all Visible",
    "",
    [
	(PF_IMAGE, "image", "Input image", None),
	(PF_VECTORS, "vector", "Input path", None),
    ],
    [],
    remove_all_visible
)

def remove_all_invisible(image, vector):
	pdb.gimp_image_undo_group_start(image)
	pdb.gimp_context_push()

	for v in image.vectors:
		if v.visible==0:
			pdb.gimp_image_remove_vectors(image, v)
	pdb.gimp_context_pop()
	pdb.gimp_image_undo_group_end(image)
	pdb.gimp_displays_flush()

register(
    "python_fu_remove_all_invisible",
    "Remowe all Invisible",
    "Remowe all Invisible",
    "MrQ",
    "GPL",
    "2019",
    "<Vectors>/vectors-merge-visible/Delete all Invisible",
    "",
    [
	(PF_IMAGE, "image", "Input image", None),
	(PF_VECTORS, "vector", "Input path", None),
    ],
    [],
    remove_all_invisible
)
main()